#include <stdio.h>
#include "intstack.h"
#include "intqueue.h"

int main(void)
{
	int array[] = { 5, 23, 15, 26, 12, 12, 11, 55, 3, 0, 5, 4 };
	int i;

	intstack *st = createstack();
	intqueue *q = createqueue();

	for(i = 0; i < 12; i++) {
		push(st,array[i]);
		enqueue(q,array[i]);
	}
	
	for(i = 0; i < 12; i++) {
		printf("stack: %d\t", pop(st));
		printf("queue: %d\n", dequeue(q));
	}

	printf("\nstack %s\t", empty(st) ? "vuoto" : "pieno");
	printf("queue %s\t", emptyq(q) ? "vuota" : "piena");
	destroystack(st);
	destroyqueue(q);
}
