#include <stdio.h>
#include "intlistdummy.h"

/* funzione alternativa per la stampa di un elemento */
void printelem2(intlist *p,intlist *q)
{
	printf("[%d]%s",q->dato, q->next != p ? "->" : "");
}

int main(void)
{
	int array[] = { 5, 23, 15, 26, 12, 12, 11, 55, 3, 0, 5, 4 };
	int i;

	intlist *p, *root2;
	intlist *root = createlist();
	
	void (*stampa)(intlist *,intlist *) = printelem2; /* funzione di stampa */

	for(i = 0; i < 12; i++) {
		insert(root,array[i]);
		traverse(root,stampa);
		printf("\n Numero elementi nella lista: %d\n",countlist(root));
		printf("\n----------------------------------\n");
	}
	
	printf("Eliminazione del primo elemento della lista: %d\n",head(root));
	deletehead(root);
	traverse(root,stampa);

	p = geteleminlist(root, 23);
	delete(p);
	printf("\nDopo la cancellazione di 23\n");
	traverse(root,stampa);
	printf("\nNumero elementi nella lista: %d\n",countlist(root));
	
	root2 = createlist();
	for(i = 0; i < 12; i++)
		insertatend(root2,array[i]);
	printf("\nEcco la seconda lista\n");
	traverse(root2,stampa);
	listcat(root,root2);
	printf("\nDopo la concatenazione\n");
	traverse(root,stampa);
	printf("\n\nNumero elementi dopo la concatenazione: %d\n", countlist(root));
	
	destroylist(root);
	root = NULL;  /* dopo la distruzione root non e' automaticamente NULL */
	traverse(root,stampa);
	printf("\n\nNumero elementi dopo la distruzione: %d\n", countlist(root));

}
